Draft Array

From FreeCAD Documentation
Revision as of 20:56, 3 October 2013 by Yorik (talk | contribs) (→‎Scripting)

Draft_Array

Menu location
Draft -> Array
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
None

Description

The Array tool creates an orthogonal (3-axes) or polar array from a selected object. If no object is selected, you will be invited to select one.

How to use

  1. Select an object you wish to make an array with
  2. Press the Draft Array button

Options

  • The array starts as orthogonal by default, you can then change its mode in the properties.

Properties

  • DataArray Type: Specifies the type of the array, ortho or polar

For orthogonal arrays:

  • DataInterval X: The interval between each copy on the first axis
  • DataInterval Y: The interval between each copy on the second axis
  • DataInterval Z: The interval between each copy on the third axis
  • DataNumber X: The number of copies on the first axis
  • DataNumber Y: The number of copies on the second axis
  • DataNumber Z: The number of copies on the third axis

For polar arrays:

  • DataAxis: The normal direction of the array circle
  • DataCenter: The center point of the array
  • DataAngle: The angle to cover with copies
  • DataNumber Polar: The number of copies

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions.

array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum]) for rectangular array, or
array (objectslist,center,totalangle,totalnum) for polar array: Creates an array of the 
objects contained in list (that can be an object or a list of objects) with, in case 
of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, 
and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle
is the angle to cover (in degrees) and  totalnum is the number of objects, including the original.

This function produces standalone copies of the base object(s)

or

makeArray (object,xvector,yvector,xnum,ynum) for rectangular array, or
makeArray (object,center,totalangle,totalnum) for polar array: Creates an array
of the given object
with, in case of rectangular array, xnum of iterations in the x direction
at xvector distance between iterations, and same for y direction with yvector
and ynum. In case of polar array, center is a vector, totalangle is the angle
to cover (in degrees) and totalnum is the number of objects, including the original.

The result of this functionis a parametric Draft Array object.

Example:

import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)
Available translations of this page: